/*
 * "Peko" Visual Novel System
 *
 * All Rights Reserved.
 * Copyright (c) 1999-2003 Tsukuba Bunko.
 *
 * $Id: LocationResources.java,v 1.1.2.1 2003/12/11 11:11:53 ppoi Exp $
 */
package tsukuba_bunko.peko.resource;

import	java.io.File;

import	java.net.URL;

import	tsukuba_bunko.resource.Resources;


/**
 * ロケーションリソースを格納する <code>Resources</coe> 拡張です。
 * @author	$Author: ppoi $
 * @version	$Revision: 1.1.2.1 $
 */
public class LocationResources	extends Resources	{

	/**
	 * データタイプ scenes のデータを格納するディレクトリ URL
	 */
	public static final String	BASEURL_SCENES = "peko.system.location.scenes";

	/**
	 * データタイプ images のデータを格納するディレクトリ URL
	 */
	public static final String	BASEURL_IMAGES = "peko.system.location.images";

	/**
	 * データタイプ sounds のデータを格納するディレクトリ URL
	 */
	public static final String	BASEURL_SOUNDS = "peko.system.location.sounds";

	/**
	 * データタイプ misc のデータを格納するディレクトリ URL
	 */
	public static final String	BASEURL_MISC = "peko.system.location.misc";

	/**
	 * インストールディレクトリ
	 */
	public static final String	DIR_INSTALL = "peko.system.location.install";

	/**
	 * セーブデータディレクトリ
	 */
	public static final String	DIR_SAVE = "peko.system.location.save";


	/**
	 * 不変化フラグ
	 */
	private boolean	_emutable = false;


	/**
	 * <code>LocationResources</code> のインスタンスを生成します。
	 */
	public LocationResources()
	{
		super();
	}


	/**
	 * データタイプ scenes のデータを格納するディレクトリ URL を設定します。
	 * @param	url	ディレクトリ URL
	 */
	public void setScenesDirecotryURL( URL url )
	{
		setResource( LocationResources.BASEURL_SCENES, url );
	}

	/**
	 * データタイプ scenes のデータを格納するディレクトリ URL を取得します。
	 * @return	ディレクトリ URL
	 */
	public URL getScenesDirecotryURL()
	{
		return (URL)getResource( LocationResources.BASEURL_SCENES );
	}

	/**
	 * データタイプ images のデータを格納するディレクトリ URL を設定します。
	 * @param	url	ディレクトリ URL
	 */
	public void setImagesDirecotryURL( URL url )
	{
		setResource( LocationResources.BASEURL_IMAGES, url );
	}

	/**
	 * データタイプ images のデータを格納するディレクトリ URL を取得します。
	 * @return	ディレクトリ URL
	 */
	public URL getImagesDirecotryURL()
	{
		return (URL)getResource( LocationResources.BASEURL_IMAGES );
	}

	/**
	 * データタイプ sounds のデータを格納するディレクトリ URL を設定します。
	 * @param	url	ディレクトリ URL
	 */
	public void setSoundsDirecotryURL( URL url )
	{
		setResource( LocationResources.BASEURL_SOUNDS, url );
	}

	/**
	 * データタイプ sounds のデータを格納するディレクトリ URL を取得します。
	 * @return	ディレクトリ URL
	 */
	public URL getSoundsDirecotryURL()
	{
		return (URL)getResource( LocationResources.BASEURL_SOUNDS );
	}

	/**
	 * データタイプ misc のデータを格納するディレクトリ URL を設定します。
	 * @param	url	ディレクトリ URL
	 */
	public void setMiscDirecotryURL( URL url )
	{
		setResource( LocationResources.BASEURL_MISC, url );
	}

	/**
	 * データタイプ misc のデータを格納するディレクトリ URL を取得します。
	 * @return	ディレクトリ URL
	 */
	public URL getMiscDirecotryURL()
	{
		return (URL)getResource( LocationResources.BASEURL_MISC );
	}


	/**
	 * インストールディレクトリを設定します。
	 * @param	installDir	インストールディレクトリ
	 */
	public void setInstallDirectory( File installDir )
	{
		setResource( LocationResources.DIR_INSTALL, installDir );
	}

	/**
	 * インストールディレクトリを取得します。
	 * @return	インストールディレクトリ
	 */
	public File getInstallDirectory()
	{
		return (File)getResource( LocationResources.DIR_INSTALL );
	}

	/**
	 * セーブデータディレクトリを設定します。
	 * @param	saveDirectory	セーブデータディレクトリ
	 */
	public void setSaveDirectory( File saveDirectory )
	{
		setResource( LocationResources.DIR_SAVE, saveDirectory );
	}

	/**
	 * セーブデータディレクトリを取得します。
	 * @return	セーブデータディレクトリ
	 */
	public File getSaveDirectory()
	{
		return (File)getResource( LocationResources.DIR_SAVE );
	}
}